package com.tofly.api.es;

import com.tofly.common.core.entity.ResultRespone;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

@FeignClient(contextId = "snwsGpsService",value = "tofly-gps")
public interface SnwsGpsClient {
    @GetMapping("/pda/getAll")
    public ResultRespone getAll(@RequestParam Map param);

    @GetMapping("/carGps/getCarLocation")
    ResultRespone getCarLocation(@RequestParam Map param);

    @GetMapping("/carGps/getList")
    ResultRespone getList(@RequestParam Map param);

    @GetMapping("/carGps/getListPage")
    ResultRespone getListPage(@RequestParam Map param);

    @GetMapping("/carGps/updateCarInfo")
    public ResultRespone updateCarInfo();
}
